---
lang: en
title: 'API docs: rest.restserver.basepath'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.restserver.basepath.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestServer](./rest.restserver.md) &gt; [basePath](./rest.restserver.basepath.md)

## RestServer.basePath() method

Configure the `basePath` for the rest server

<b>Signature:</b>

```typescript
basePath(path?: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  path | <code>string</code> | Base path |

<b>Returns:</b>

`void`


